Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFilePlugin Class Reference

`#include <deFile_priv.hpp>`

Inheritance diagram for deFilePlugin:

[legend]
Collaboration diagram for deFilePlugin:

[legend]
List of all members.

## Public Member Functions
| deFilePlugin ()
| ~deFilePlugin ()
int | Release ()
void * | GetInterface (IdeFile::interface_t i)
deBoolean | Open (IdeFileSystem *BaseFS, char *Filename, long OpenFlags)
| open a file
deBoolean | Open (IdeFile *BaseFile)
deBoolean | Close ()
| close an open file
long | Read (void *Buffer, long Length)
| read a file
long | Write (void *Buffer, long Length)
| write a file
long | GetPosition ()
| get file position
long | SetPosition (long NewPosition, IdeFile::Seek SeekType)
| set file position
long | GetSize ()
| get a file's size
deBoolean | SetSize (long NewSize)
| set a file's length
s64 | GetTime ()
| get a file's date/time
deBoolean | SetTime (s64 Time)
| set a file's date/time
deBoolean | GetProperties (deFileProperties *Properties)
| get current file's properties
long | GetOpenFlags ()
| get the open flags
deBoolean | AddPlugin (IdePlugin *Plugin)
deBoolean | ReleasePlugin (IdePlugin *Plugin)
deBoolean | ReleaseAllPlugins ()
deBoolean | DefragFile ()
## Private Types
typedef deFilePlugin::PluginList | PluginList
typedef deFilePlugin::PluginHeader | PluginHeader
typedef deFilePlugin::PluginFileData | PluginFileData
## Private Member Functions
deBoolean | GetFileBlock (long ReadBlock)
deBoolean | WriteCurrentFileBlock ()
void * | ApplyPluginEncode (void *Buffer, long *Length)
void * | ApplyPluginDecode (void *Buffer, long *Length)
## Private Attributes
IdeFile * | priv_BaseFile
IdeFileSystem * | priv_BaseFS
deBoolean | priv_OwnBaseFile
long | priv_CurrentPosition
long | priv_OpenFlags
PluginList * | priv_PluginList_First
PluginList * | priv_PluginList_Last
deBoolean | priv_PluginLocked
PluginFileData * | priv_FileData
short | priv_FileDataCount
long | priv_LastBlockSize
deBoolean | priv_FileBlockChanged
void * | priv_FileBuffer
long | priv_FileBlock

## Member Typedef Documentation

typedef struct deFilePlugin::PluginFileData deFilePlugin::PluginFileData`[private]`

typedef struct deFilePlugin::PluginHeader deFilePlugin::PluginHeader`[private]`

typedef struct deFilePlugin::PluginList deFilePlugin::PluginList`[private]`

## Constructor & Destructor Documentation

deFilePlugin::deFilePlugin | ( |  | ) |

deFilePlugin::~deFilePlugin | ( |  | ) |

## Member Function Documentation

deBoolean deFilePlugin::AddPlugin | ( | IdePlugin * | Plugin | ) | `[virtual]`

| Implements IdeFilePlugin.

void * deFilePlugin::ApplyPluginDecode | ( | void * | Buffer,
|  | long * | Length
| ) | `[private]`

void * deFilePlugin::ApplyPluginEncode | ( | void * | Buffer,
|  | long * | Length
| ) | `[private]`

deBoolean deFilePlugin::Close | ( |  | ) | `[virtual]`

| close an open file Reimplemented from deFile.

deBoolean deFilePlugin::DefragFile | ( |  | ) | `[virtual]`

| Implements IdeFilePlugin.

deBoolean deFilePlugin::GetFileBlock | ( | long | ReadBlock | ) | `[private]`

void * deFilePlugin::GetInterface | ( | IdeFile::interface_t | i | ) | `[virtual]`

| Reimplemented from deFile.

long deFilePlugin::GetOpenFlags | ( |  | ) | `[virtual]`

| get the open flags Reimplemented from deFile.

long deFilePlugin::GetPosition | ( |  | ) | `[virtual]`

| get file position Reimplemented from deFile.

deBoolean deFilePlugin::GetProperties | ( | deFileProperties * | Properties | ) | `[virtual]`

| get current file's properties Reimplemented from deFile.

long deFilePlugin::GetSize | ( |  | ) | `[virtual]`

| get a file's size Reimplemented from deFile.

s64 deFilePlugin::GetTime | ( |  | ) | `[virtual]`

| get a file's date/time Reimplemented from deFile.

deBoolean deFilePlugin::Open | ( | IdeFile * | BaseFile | ) | `[virtual]`

| Implements IdeFilePlugin.

deBoolean deFilePlugin::Open | ( | IdeFileSystem * | BaseFS,
|  | char * | Filename,
|  | long | OpenFlags
| ) | `[virtual]`

| open a file Implements IdeFilePlugin.

long deFilePlugin::Read | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| read a file Reimplemented from deFile.

int deFilePlugin::Release | ( |  | ) | `[virtual]`

| Reimplemented from deFile.

deBoolean deFilePlugin::ReleaseAllPlugins | ( |  | ) | `[virtual]`

| Implements IdeFilePlugin.

deBoolean deFilePlugin::ReleasePlugin | ( | IdePlugin * | Plugin | ) | `[virtual]`

| Implements IdeFilePlugin.

long deFilePlugin::SetPosition | ( | long | NewPosition,
|  | IdeFile::Seek | SeekType
| ) | `[virtual]`

| set file position Reimplemented from deFile.

deBoolean deFilePlugin::SetSize | ( | long | NewSize | ) | `[virtual]`

| set a file's length Reimplemented from deFile.

deBoolean deFilePlugin::SetTime | ( | s64 | Time | ) | `[virtual]`

| set a file's date/time Reimplemented from deFile.

long deFilePlugin::Write | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| write a file Reimplemented from deFile.

deBoolean deFilePlugin::WriteCurrentFileBlock | ( |  | ) | `[private]`

## Member Data Documentation

IdeFile* deFilePlugin::priv_BaseFile`[private]`

IdeFileSystem* deFilePlugin::priv_BaseFS`[private]`

long deFilePlugin::priv_CurrentPosition`[private]`

long deFilePlugin::priv_FileBlock`[private]`

deBoolean deFilePlugin::priv_FileBlockChanged`[private]`

void* deFilePlugin::priv_FileBuffer`[private]`

PluginFileData* deFilePlugin::priv_FileData`[private]`

short deFilePlugin::priv_FileDataCount`[private]`

long deFilePlugin::priv_LastBlockSize`[private]`

long deFilePlugin::priv_OpenFlags`[private]`

deBoolean deFilePlugin::priv_OwnBaseFile`[private]`

PluginList* deFilePlugin::priv_PluginList_First`[private]`

PluginList* deFilePlugin::priv_PluginList_Last`[private]`

deBoolean deFilePlugin::priv_PluginLocked`[private]`

The documentation for this class was generated from the following files:

- deFile_priv.hpp
- deFilePlugin.cpp